/*
 * Line6 Linux USB driver - 0.6.5
 *
 * Copyright (C) 2004-2006 Markus Grabner (grabner@icg.tu-graz.ac.at)
 *
 *	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License as
 *	published by the Free Software Foundation, version 2.
 *
 */

#ifndef CAPTURE_H
#define CAPTURE_H


#include <sound/pcm.h>

#include "driver.h"
#include "pcm.h"


extern snd_pcm_ops_t snd_pod_capture_ops;


extern int create_audio_in_urbs(snd_pod_pcm_t *pod);
extern int snd_pod_capture_trigger(snd_pcm_substream_t *substream, int cmd);
extern void unlink_wait_clear_audio_in_urbs(snd_pod_pcm_t *chip);


#endif
